/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Echocardiography Aorta
 */
public enum EnumCV_EchocardiographyAorta 
{
	// Echocardiography Aorta - CID 12212
	AORTIC_ROOT_DIAMETER_18015_8("18015-8"),
	AORTIC_ARCH_DIAMETER_18011_7("18011-7"),
	ASCENDING_AORTIC_DIAMETER_18012_5("18012-5"),
	AORTIC_ISTHMUS_DIAMETER_18014_1("18014-1"),
	DESCENDING_AORTIC_DIAMETER_18013_3("18013-3"),
	THORACIC_AORTA_COARCTATION_SYSTOLIC_PEAK_INSTANTANEOUS_GRADIENT_17995_2("17995-2"),
	THORACIC_AORTA_COARCTATION_SYSTOLIC_PEAK_VELOCITY_29460_3("29460-3");

	private String value;
	
	EnumCV_EchocardiographyAorta(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
